Libical API Documentation 3.0

Typedefs | Functions
icalgauge.h File Reference

Routines implementing a filter for ical components. More...

Go to the source code of this file.

## Typedefs
typedef struct icalgauge_impl | icalgauge

## Functions
int | icalgauge_compare (icalgauge *g, icalcomponent *comp)
| Returns true if comp matches the gauge. More...
void | icalgauge_dump (icalgauge *gauge)
| Debug. More...
void | icalgauge_free (icalgauge *gauge)
int | icalgauge_get_expand (icalgauge *gauge)
icalgauge * | icalgauge_new_from_sql (const char *sql, int expand)

## Detailed Description

Routines implementing a filter for ical components.

## Function Documentation

## ◆ icalgauge_compare()

int icalgauge_compare | ( | icalgauge * | g,
|  | icalcomponent * | comp
| ) |  |

Returns true if comp matches the gauge.

The component must be in cannonical form – a VCALENDAR with one VEVENT, VTODO or VJOURNAL sub component

needs to use recurrence-id to do comparison

## ◆ icalgauge_dump()

void icalgauge_dump | ( | icalgauge * | gauge | ) |

Debug.

Prints gauge information to STDOUT.

## ◆ icalgauge_get_expand()

int icalgauge_get_expand | ( | icalgauge * | gauge | ) |

Returns the expand value for the specified icalgauge. If `gauge` is NULL a value of -1 is returned.